Subject: [TR] Valve seats

From: John Macartney <[email-masked]>
Date: Wed, 23 Oct 2024 16:55:02 +0100

Does anyone out there have documentary evidence (in the form of Service Bulletins issued by the factory or Leona NJ) that makes specific mention of the introduction of stellite valve seats in place of earlier and softer alternatives? I do recall BMC making something of a hoo-haa about stellite seats being used in the MGB and Healey 3000 back in the sixties. Same applied to Rootes Group and Jaguar.
There is hearsay in the UK that hardened seats went into heads for the US market at about the same time because of the introduction of unleaded fuel. That hearsay also suggests hardened seats were territory specific but from an ease of production standpoint, having two different types of seat during machining and manufacture just doesn’t make sense. I can think of other examples where Standard-Triumph adopted a “one type fits all” applied and that goes for other British makes.
It’s clear that valve seat recession fears in Europe has been a kneejerk reaction to a problem that never really existed which suggests stellite valve seats were fitted for all markets. An engineering or service bulletin back in the day would have confirmed this but I never remember seeing one. Thoughts anyone?

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]